Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 13353)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 13354)
@@ -998,7 +998,7 @@
         _('Add session configuration'),
         _('Remove selected')]
-    # We don't need to edit next_matric_integer in the base package.
+    # We don't need to edit next matric integers in the base package.
     form_fields = grok.AutoFields(IConfigurationContainer).omit(
-        'frontpage_dict', 'next_matric_integer')
+        'frontpage_dict', 'next_matric_integer', 'next_matric_integer_2')
 
     @action(_('Save'), style='primary')
Index: /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 13353)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 13354)
@@ -724,4 +724,13 @@
         )
 
+    next_matric_integer_2 = schema.Int(
+        title = _(u'Next Matriculation Number Integer 2'),
+        description = _(u'2nd integer used for constructing the next '
+                         'matriculation number'),
+        default = 0,
+        readonly = False,
+        required = False,
+        )
+
     export_disabled_message = schema.Text(
         title = _(u'Export-disabled message'),
Index: /main/waeup.kofa/trunk/src/waeup/kofa/locales/waeup.kofa.pot
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/locales/waeup.kofa.pot	(revision 13353)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/locales/waeup.kofa.pot	(revision 13354)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Wed Oct  7 11:46:58 2015\n"
+"POT-Creation-Date: Wed Oct 28 06:04:24 2015\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -461,5 +461,5 @@
 #: waeup/kofa/applicants/browser.py:1215
 #: waeup/kofa/browser/pages.py:2510
-#: waeup/kofa/students/browser.py:2799
+#: waeup/kofa/students/browser.py:2803
 msgid "Send login credentials to email address"
 msgstr ""
@@ -470,5 +470,5 @@
 
 #: waeup/kofa/applicants/browser.py:1242
-#: waeup/kofa/students/browser.py:2816
+#: waeup/kofa/students/browser.py:2820
 msgid "An error occurred."
 msgstr ""
@@ -482,5 +482,5 @@
 
 #: waeup/kofa/applicants/browser.py:1253
-#: waeup/kofa/students/browser.py:2825
+#: waeup/kofa/students/browser.py:2829
 msgid "Your password has already been set and used. Please proceed to the login page."
 msgstr ""
@@ -547,7 +547,7 @@
 #: waeup/kofa/hostels/browser.py:126
 #: waeup/kofa/hostels/browser.py:162
-#: waeup/kofa/hostels/browser.py:228
-#: waeup/kofa/hostels/browser.py:240
-#: waeup/kofa/hostels/browser.py:336
+#: waeup/kofa/hostels/browser.py:250
+#: waeup/kofa/hostels/browser.py:262
+#: waeup/kofa/hostels/browser.py:360
 #: waeup/kofa/students/browser.py:527
 #: waeup/kofa/students/browser.py:580
@@ -561,5 +561,5 @@
 #: waeup/kofa/students/browser.py:2251
 #: waeup/kofa/students/browser.py:2266
-#: waeup/kofa/students/browser.py:2394
+#: waeup/kofa/students/browser.py:2398
 msgid "Save"
 msgstr ""
@@ -640,5 +640,5 @@
 #: waeup/kofa/applicants/browser.py:1394
 #: waeup/kofa/browser/pages.py:1789
-#: waeup/kofa/students/browser.py:3124
+#: waeup/kofa/students/browser.py:3128
 msgid "Discarded export"
 msgstr ""
@@ -672,5 +672,5 @@
 #: waeup/kofa/students/browser.py:1687
 #: waeup/kofa/students/browser.py:1958
-#: waeup/kofa/students/browser.py:2640
+#: waeup/kofa/students/browser.py:2644
 #. Default: ""
 msgid "Successfully removed: ${a}"
@@ -892,5 +892,5 @@
 #: waeup/kofa/students/browser.py:1480
 #: waeup/kofa/students/browser.py:1668
-#: waeup/kofa/students/browser.py:2648
+#: waeup/kofa/students/browser.py:2652
 msgid "Remove selected tickets"
 msgstr ""
@@ -1147,5 +1147,5 @@
 #: waeup/kofa/hostels/interfaces.py:40
 #: waeup/kofa/hostels/interfaces.py:46
-#: waeup/kofa/interfaces.py:768
+#: waeup/kofa/interfaces.py:777
 msgid "Example: "
 msgstr ""
@@ -1160,5 +1160,5 @@
 
 #: waeup/kofa/applicants/interfaces.py:273
-#: waeup/kofa/interfaces.py:778
+#: waeup/kofa/interfaces.py:787
 msgid "Application Fee"
 msgstr ""
@@ -1552,5 +1552,5 @@
 
 #: waeup/kofa/browser/breadcrumbs.py:174
-#: waeup/kofa/students/browser.py:3110
+#: waeup/kofa/students/browser.py:3114
 msgid "Student Data Exports"
 msgstr ""
@@ -1753,6 +1753,6 @@
 #: waeup/kofa/browser/pages.py:137
 #: waeup/kofa/browser/pages.py:1118
-#: waeup/kofa/hostels/browser.py:265
-#: waeup/kofa/hostels/browser.py:295
+#: waeup/kofa/hostels/browser.py:289
+#: waeup/kofa/hostels/browser.py:319
 #: waeup/kofa/students/browser.py:325
 msgid "No item selected."
@@ -1938,7 +1938,7 @@
 #: waeup/kofa/students/browser.py:280
 #: waeup/kofa/students/browser.py:323
-#: waeup/kofa/students/browser.py:2732
-#: waeup/kofa/students/browser.py:2944
-#: waeup/kofa/students/browser.py:3067
+#: waeup/kofa/students/browser.py:2736
+#: waeup/kofa/students/browser.py:2948
+#: waeup/kofa/students/browser.py:3071
 msgid "No student found."
 msgstr ""
@@ -2061,5 +2061,5 @@
 
 #: waeup/kofa/browser/pages.py:2535
-#: waeup/kofa/students/browser.py:2848
+#: waeup/kofa/students/browser.py:2852
 msgid "You have successfully requested a password for the"
 msgstr ""
@@ -2149,5 +2149,5 @@
 #: waeup/kofa/documents/viewlets.py:60
 #: waeup/kofa/documents/viewlets.py:79
-#: waeup/kofa/hostels/browser.py:215
+#: waeup/kofa/hostels/browser.py:237
 #: waeup/kofa/students/viewlets.py:165
 #: waeup/kofa/students/viewlets.py:249
@@ -2977,5 +2977,5 @@
 #: waeup/kofa/hostels/browser.py:127
 #: waeup/kofa/hostels/browser.py:149
-#: waeup/kofa/hostels/browser.py:176
+#: waeup/kofa/hostels/browser.py:198
 msgid "Add hostel"
 msgstr ""
@@ -2995,67 +2995,76 @@
 
 #: waeup/kofa/hostels/browser.py:180
+#: waeup/kofa/hostels/browser.py:331
+#. Default: ""
+msgid "Successfully released beds: ${a}"
+msgstr ""
+
+#: waeup/kofa/hostels/browser.py:182
+msgid "No bed released."
+msgstr ""
+
+#: waeup/kofa/hostels/browser.py:202
 msgid "Create hostel"
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:189
+#: waeup/kofa/hostels/browser.py:211
 msgid "The hostel already exists."
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:191
+#: waeup/kofa/hostels/browser.py:213
 msgid "Hostel created."
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:226
+#: waeup/kofa/hostels/browser.py:248
 msgid "Manage hostel"
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:229
-#: waeup/kofa/hostels/browser.py:245
+#: waeup/kofa/hostels/browser.py:251
+#: waeup/kofa/hostels/browser.py:267
 msgid "Update all beds"
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:230
-#: waeup/kofa/hostels/browser.py:259
+#: waeup/kofa/hostels/browser.py:252
+#: waeup/kofa/hostels/browser.py:283
 msgid "Switch reservation of selected beds"
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:231
-#: waeup/kofa/hostels/browser.py:289
+#: waeup/kofa/hostels/browser.py:253
+#: waeup/kofa/hostels/browser.py:313
 msgid "Release selected beds"
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:232
-#: waeup/kofa/hostels/browser.py:316
+#: waeup/kofa/hostels/browser.py:254
+#: waeup/kofa/hostels/browser.py:340
 msgid "Clear hostel"
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:250
+#: waeup/kofa/hostels/browser.py:268
+msgid "Attention: The updater removes all reservation flags of existing beds. You really want to update?"
+msgstr ""
+
+#: waeup/kofa/hostels/browser.py:274
 #. Default: ""
 msgid "${a} empty beds removed, ${b} beds added, ${c} occupied beds modified (${d})"
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:283
+#: waeup/kofa/hostels/browser.py:307
 #. Default: ""
 msgid "Successfully switched beds: ${a}"
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:307
-#. Default: ""
-msgid "Successfully released beds: ${a}"
-msgstr ""
-
-#: waeup/kofa/hostels/browser.py:312
+#: waeup/kofa/hostels/browser.py:336
 msgid "No allocated bed selected."
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:319
+#: waeup/kofa/hostels/browser.py:343
 msgid "Hostel cleared."
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:332
+#: waeup/kofa/hostels/browser.py:356
 msgid "Allocate student"
 msgstr ""
 
-#: waeup/kofa/hostels/browser.py:339
+#: waeup/kofa/hostels/browser.py:363
 msgid "No valid student id."
 msgstr ""
@@ -3083,5 +3092,5 @@
 
 #: waeup/kofa/hostels/browser_templates/containerpage.pt:21
-#: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:50
+#: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:40
 #: waeup/kofa/hostels/browser_templates/containermanagepage.pt:41
 #: waeup/kofa/documents/browser_templates/containerpage.pt:8
@@ -3110,5 +3119,5 @@
 msgstr ""
 
-#: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:51
+#: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:41
 #: waeup/kofa/documents/browser_templates/containerpage.pt:10
 #: waeup/kofa/documents/browser_templates/containermanagepage.pt:11
@@ -3117,13 +3126,17 @@
 msgstr ""
 
-#: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:52
+#: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:42
 msgid "Number"
 msgstr ""
 
-#: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:53
+#: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:43
 #: waeup/kofa/accesscodes/browser_templates/searchpage.pt:32
 msgid "Owner"
 msgstr ""
 
+#: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:61
+msgid "[allocate student]"
+msgstr ""
+
 #: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:7
 msgid "Hostel Data"
@@ -3131,10 +3144,7 @@
 
 #: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:71
-msgid "[allocate student]"
-msgstr ""
-
-#: waeup/kofa/hostels/browser_templates/hostelpage.pt:5
-#: waeup/kofa/hostels/browser_templates/hostelmanagepage.pt:24
-msgid "Reserved Beds:"
+#: waeup/kofa/students/browser_templates/containermanagepage.pt:67
+#: waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt:81
+msgid "Select all"
 msgstr ""
 
@@ -3144,49 +3154,49 @@
 msgstr ""
 
-#: waeup/kofa/hostels/hostel.py:240
+#: waeup/kofa/hostels/hostel.py:220
 msgid "unreserved"
 msgstr ""
 
-#: waeup/kofa/hostels/hostel.py:247
+#: waeup/kofa/hostels/hostel.py:223
 msgid "reserved"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:102
+#: waeup/kofa/hostels/interfaces.py:101
+msgid "Sort Id"
+msgstr ""
+
+#: waeup/kofa/hostels/interfaces.py:107
 msgid "Hostel Name"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:108
+#: waeup/kofa/hostels/interfaces.py:113
 msgid "Floors per Block"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:114
+#: waeup/kofa/hostels/interfaces.py:119
 msgid "Rooms per Floor"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:120
-msgid "Reserved Beds"
-msgstr ""
-
-#: waeup/kofa/hostels/interfaces.py:131
+#: waeup/kofa/hostels/interfaces.py:125
 msgid "Blocks for Female Students"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:138
+#: waeup/kofa/hostels/interfaces.py:133
 msgid "Blocks for Male Students"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:145
+#: waeup/kofa/hostels/interfaces.py:141
 msgid "Beds for Pre-Study Students"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:152
+#: waeup/kofa/hostels/interfaces.py:149
 msgid "Beds for Fresh Students"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:159
+#: waeup/kofa/hostels/interfaces.py:157
 msgid "Beds for Returning Students"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:166
+#: waeup/kofa/hostels/interfaces.py:165
 msgid "Beds for Final Year Students"
 msgstr ""
@@ -3196,46 +3206,46 @@
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:180
+#: waeup/kofa/hostels/interfaces.py:181
 msgid "Special Handling"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:187
+#: waeup/kofa/hostels/interfaces.py:188
 msgid "Rent"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:197
+#: waeup/kofa/hostels/interfaces.py:198
 msgid "Female and male blocks overlap."
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:207
+#: waeup/kofa/hostels/interfaces.py:208
 msgid "Bed categories overlap."
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:235
+#: waeup/kofa/hostels/interfaces.py:240
 msgid "Bed Id"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:241
+#: waeup/kofa/hostels/interfaces.py:246
 #: waeup/kofa/students/browser_templates/accommodationmanagepage.pt:11
 msgid "Bed Type"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:247
+#: waeup/kofa/hostels/interfaces.py:252
 msgid "Bed Number"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:252
+#: waeup/kofa/hostels/interfaces.py:257
 msgid "Owner (Student)"
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:253
+#: waeup/kofa/hostels/interfaces.py:258
 msgid "Enter valid student id."
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:268
+#: waeup/kofa/hostels/interfaces.py:273
 msgid "Either student does not exist or student is not in accommodation session."
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:275
+#: waeup/kofa/hostels/interfaces.py:280
 #. Default: ""
 msgid "This student resides in bed ${a}."
@@ -3258,10 +3268,6 @@
 msgstr ""
 
-#: waeup/kofa/hostels/interfaces.py:92
+#: waeup/kofa/hostels/interfaces.py:97
 msgid "Hostel Id"
-msgstr ""
-
-#: waeup/kofa/hostels/interfaces.py:96
-msgid "Sort Id"
 msgstr ""
 
@@ -3607,45 +3613,53 @@
 
 #: waeup/kofa/interfaces.py:727
+msgid "Next Matriculation Number Integer 2"
+msgstr ""
+
+#: waeup/kofa/interfaces.py:728
+msgid "2nd integer used for constructing the next matriculation number"
+msgstr ""
+
+#: waeup/kofa/interfaces.py:736
 msgid "Export-disabled message"
 msgstr ""
 
-#: waeup/kofa/interfaces.py:728
+#: waeup/kofa/interfaces.py:737
 msgid "Message which will show up if an officer tries to export data. All exporters are automatcally disabled if this field is set."
 msgstr ""
 
-#: waeup/kofa/interfaces.py:744
-#: waeup/kofa/interfaces.py:817
+#: waeup/kofa/interfaces.py:753
+#: waeup/kofa/interfaces.py:826
 msgid "Academic Session"
 msgstr ""
 
-#: waeup/kofa/interfaces.py:752
+#: waeup/kofa/interfaces.py:761
 msgid "Clearance enabled"
 msgstr ""
 
-#: waeup/kofa/interfaces.py:757
+#: waeup/kofa/interfaces.py:766
 msgid "Payment disabled"
 msgstr ""
 
-#: waeup/kofa/interfaces.py:766
+#: waeup/kofa/interfaces.py:775
 msgid "Course Reg. Deadline"
 msgstr ""
 
-#: waeup/kofa/interfaces.py:772
+#: waeup/kofa/interfaces.py:781
 msgid "Late Course Reg. Fee"
 msgstr ""
 
-#: waeup/kofa/interfaces.py:784
+#: waeup/kofa/interfaces.py:793
 msgid "Acceptance Fee"
 msgstr ""
 
-#: waeup/kofa/interfaces.py:790
+#: waeup/kofa/interfaces.py:799
 msgid "Bed Booking Fee"
 msgstr ""
 
-#: waeup/kofa/interfaces.py:796
+#: waeup/kofa/interfaces.py:805
 msgid "Rent (fallback)"
 msgstr ""
 
-#: waeup/kofa/interfaces.py:802
+#: waeup/kofa/interfaces.py:811
 msgid "Transcript Fee"
 msgstr ""
@@ -3802,5 +3816,5 @@
 
 #: waeup/kofa/students/browser.py:1005
-#: waeup/kofa/students/browser.py:2571
+#: waeup/kofa/students/browser.py:2575
 msgid "This level exists."
 msgstr ""
@@ -3816,5 +3830,5 @@
 
 #: waeup/kofa/students/browser.py:1049
-#: waeup/kofa/students/browser.py:2329
+#: waeup/kofa/students/browser.py:2331
 msgid "Wrong state"
 msgstr ""
@@ -3822,6 +3836,6 @@
 #: waeup/kofa/students/browser.py:1066
 #: waeup/kofa/students/browser.py:2005
-#: waeup/kofa/students/browser.py:2349
-#: waeup/kofa/students/browser.py:2496
+#: waeup/kofa/students/browser.py:2353
+#: waeup/kofa/students/browser.py:2500
 msgid "Activation code is invalid."
 msgstr ""
@@ -3829,6 +3843,6 @@
 #: waeup/kofa/students/browser.py:1069
 #: waeup/kofa/students/browser.py:2051
-#: waeup/kofa/students/browser.py:2352
-#: waeup/kofa/students/browser.py:2500
+#: waeup/kofa/students/browser.py:2356
+#: waeup/kofa/students/browser.py:2504
 msgid "Activation code has already been used."
 msgstr ""
@@ -3836,7 +3850,7 @@
 #: waeup/kofa/students/browser.py:1074
 #: waeup/kofa/students/browser.py:2060
-#: waeup/kofa/students/browser.py:2357
-#: waeup/kofa/students/browser.py:2504
-#: waeup/kofa/students/browser.py:2761
+#: waeup/kofa/students/browser.py:2361
+#: waeup/kofa/students/browser.py:2508
+#: waeup/kofa/students/browser.py:2765
 msgid "invalidated"
 msgstr ""
@@ -3844,6 +3858,6 @@
 #: waeup/kofa/students/browser.py:1078
 #: waeup/kofa/students/browser.py:2066
-#: waeup/kofa/students/browser.py:2361
-#: waeup/kofa/students/browser.py:2509
+#: waeup/kofa/students/browser.py:2365
+#: waeup/kofa/students/browser.py:2513
 msgid "You are not the owner of this access code."
 msgstr ""
@@ -4018,20 +4032,20 @@
 #: waeup/kofa/students/browser.py:1572
 #: waeup/kofa/students/browser.py:1583
-#: waeup/kofa/students/browser.py:2701
+#: waeup/kofa/students/browser.py:2705
 msgid "Add course ticket"
 msgstr ""
 
 #: waeup/kofa/students/browser.py:1440
-#: waeup/kofa/students/browser.py:2585
+#: waeup/kofa/students/browser.py:2589
 msgid "Enter valid course code"
 msgstr ""
 
 #: waeup/kofa/students/browser.py:1449
-#: waeup/kofa/students/browser.py:2598
+#: waeup/kofa/students/browser.py:2602
 msgid "No valid course code entered."
 msgstr ""
 
 #: waeup/kofa/students/browser.py:1455
-#: waeup/kofa/students/browser.py:2603
+#: waeup/kofa/students/browser.py:2607
 msgid "Course not found."
 msgstr ""
@@ -4043,5 +4057,5 @@
 
 #: waeup/kofa/students/browser.py:1486
-#: waeup/kofa/students/browser.py:2627
+#: waeup/kofa/students/browser.py:2631
 msgid "No ticket selected."
 msgstr ""
@@ -4260,129 +4274,133 @@
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2333
+#: waeup/kofa/students/browser.py:2317
+msgid "Email address is missing."
+msgstr ""
+
+#: waeup/kofa/students/browser.py:2319
+msgid "Phone number is missing."
+msgstr ""
+
+#: waeup/kofa/students/browser.py:2335
 msgid "No portrait uploaded."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2337
-msgid "Not all required fields filled."
-msgstr ""
-
-#: waeup/kofa/students/browser.py:2366
+#: waeup/kofa/students/browser.py:2370
 msgid "Clearance process has been started."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2376
+#: waeup/kofa/students/browser.py:2380
 msgid "Edit clearance data"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2397
-#: waeup/kofa/students/browser.py:2411
+#: waeup/kofa/students/browser.py:2401
+#: waeup/kofa/students/browser.py:2415
 msgid "Clearance form has been saved."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2405
+#: waeup/kofa/students/browser.py:2409
 msgid "Save and request clearance"
-msgstr ""
-
-#: waeup/kofa/students/browser.py:2422
-#: waeup/kofa/students/browser.py:2457
-msgid "This form cannot be submitted. Wrong state!"
 msgstr ""
 
 #: waeup/kofa/students/browser.py:2426
 #: waeup/kofa/students/browser.py:2461
+msgid "This form cannot be submitted. Wrong state!"
+msgstr ""
+
+#: waeup/kofa/students/browser.py:2430
+#: waeup/kofa/students/browser.py:2465
 msgid "Clearance has been requested."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2435
+#: waeup/kofa/students/browser.py:2439
 #: waeup/kofa/students/workflow.py:62
 msgid "Request clearance"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2436
+#: waeup/kofa/students/browser.py:2440
 msgid "Enter the CLR access code used for starting clearance."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2439
+#: waeup/kofa/students/browser.py:2443
 msgid "Request clearance now"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2451
+#: waeup/kofa/students/browser.py:2455
 msgid "This isn't your CLR access code."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2470
+#: waeup/kofa/students/browser.py:2474
 msgid "Start session"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2474
+#: waeup/kofa/students/browser.py:2478
 msgid "Start now"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2483
+#: waeup/kofa/students/browser.py:2487
 msgid "You are not entitled to start session."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2523
+#: waeup/kofa/students/browser.py:2527
 msgid "An error occurred, please contact the system administrator."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2526
+#: waeup/kofa/students/browser.py:2530
 msgid "Session started."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2545
+#: waeup/kofa/students/browser.py:2549
 #. Default: ""
 msgid "Add current level ${a}"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2556
-#: waeup/kofa/students/browser.py:2573
+#: waeup/kofa/students/browser.py:2560
+#: waeup/kofa/students/browser.py:2577
 msgid "Your data are incomplete"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2562
+#: waeup/kofa/students/browser.py:2566
 msgid "Create course list now"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2615
+#: waeup/kofa/students/browser.py:2619
 #. Default: ""
 msgid "Edit course list of ${a}"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2656
+#: waeup/kofa/students/browser.py:2660
 msgid "You are a postgraduate student, your course list can't bee registered."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2664
+#: waeup/kofa/students/browser.py:2668
 #. Default: ""
 msgid "Maximum credits of ${a} exceeded."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2668
+#: waeup/kofa/students/browser.py:2672
 msgid "Course registration has ended. Please pay the late registration fee."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2675
+#: waeup/kofa/students/browser.py:2679
 msgid "Course list has been registered."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2679
+#: waeup/kofa/students/browser.py:2683
 msgid "Register course list"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2680
+#: waeup/kofa/students/browser.py:2684
 msgid "You can not edit your course list after registration. You really want to register?"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2717
+#: waeup/kofa/students/browser.py:2721
 msgid "Set password for first-time login"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2720
+#: waeup/kofa/students/browser.py:2724
 msgid "Set"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2735
+#: waeup/kofa/students/browser.py:2739
 msgid "More than one student found."
 msgstr ""
@@ -4393,40 +4411,40 @@
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2743
+#: waeup/kofa/students/browser.py:2747
 msgid "Access code is invalid."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2746
+#: waeup/kofa/students/browser.py:2750
 #. Default: ""
 msgid "Password has already been set. Your Student Id is ${a}"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2752
+#: waeup/kofa/students/browser.py:2756
 msgid "Password has already been set. You are using the wrong Access Code."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2758
+#: waeup/kofa/students/browser.py:2762
 msgid "Access code has already been used."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2767
+#: waeup/kofa/students/browser.py:2771
 #. Default: ""
 msgid "Password has been set. Your Student Id is ${a}"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2779
+#: waeup/kofa/students/browser.py:2783
 msgid "Request password for first-time login"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2822
-#: waeup/kofa/students/browser.py:2834
+#: waeup/kofa/students/browser.py:2826
+#: waeup/kofa/students/browser.py:2838
 msgid "No student record found."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2868
+#: waeup/kofa/students/browser.py:2872
 msgid "Your password request was successful."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2884
+#: waeup/kofa/students/browser.py:2888
 #: waeup/kofa/students/interfaces.py:419
 #: waeup/kofa/students/interfaces.py:513
@@ -4438,5 +4456,5 @@
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2885
+#: waeup/kofa/students/browser.py:2889
 #: waeup/kofa/students/interfaces.py:426
 #: waeup/kofa/students/interfaces.py:465
@@ -4454,13 +4472,13 @@
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2935
+#: waeup/kofa/students/browser.py:2939
 msgid "in any session"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2941
+#: waeup/kofa/students/browser.py:2945
 msgid "at any level"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2977
+#: waeup/kofa/students/browser.py:2981
 #: waeup/kofa/students/interfaces.py:556
 #: waeup/kofa/students/interfaces.py:729
@@ -4472,5 +4490,5 @@
 msgstr ""
 
-#: waeup/kofa/students/browser.py:2978
+#: waeup/kofa/students/browser.py:2982
 #: waeup/kofa/students/interfaces.py:549
 #: waeup/kofa/students/utils.py:257
@@ -4483,50 +4501,50 @@
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3019
+#: waeup/kofa/students/browser.py:3023
 msgid "%d students have been cleared."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3056
+#: waeup/kofa/students/browser.py:3060
 msgid "Score editing disabled."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3060
+#: waeup/kofa/students/browser.py:3064
 msgid "Current academic session not set."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3096
+#: waeup/kofa/students/browser.py:3100
 msgid "Error: Score(s) of %s have not be updated. Only integers are allowed., "
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3137
-#: waeup/kofa/students/browser.py:3299
+#: waeup/kofa/students/browser.py:3141
+#: waeup/kofa/students/browser.py:3303
 msgid "Configure student data export"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3146
+#: waeup/kofa/students/browser.py:3150
 msgid "All Sessions"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3153
+#: waeup/kofa/students/browser.py:3157
 msgid "All Levels"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3160
+#: waeup/kofa/students/browser.py:3164
 msgid "All Modes"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3217
+#: waeup/kofa/students/browser.py:3221
 msgid "Payment dates do not match format d/m/Y."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3271
+#: waeup/kofa/students/browser.py:3275
 msgid "Export started for students with"
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3321
+#: waeup/kofa/students/browser.py:3325
 msgid "Export of selected students started."
 msgstr ""
 
-#: waeup/kofa/students/browser.py:3411
+#: waeup/kofa/students/browser.py:3415
 msgid "Export started for course tickets with"
 msgstr ""
@@ -4726,9 +4744,4 @@
 #: waeup/kofa/students/browser_templates/clearanceeditpage.pt:12
 msgid "Scans"
-msgstr ""
-
-#: waeup/kofa/students/browser_templates/containermanagepage.pt:67
-#: waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt:81
-msgid "Select all"
 msgstr ""
 