Index: main/waeup.aaue/trunk/src/waeup/aaue/browser/viewlets.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/browser/viewlets.py	(revision 13357)
+++ main/waeup.aaue/trunk/src/waeup/aaue/browser/viewlets.py	(revision 13357)
@@ -0,0 +1,42 @@
+## $Id$
+##
+## Copyright (C) 2015 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
+import grok
+from waeup.kofa.interfaces import IKofaObject
+from waeup.kofa.browser.viewlets import PrimaryNavTab
+from waeup.aaue.interfaces import MessageFactory as _
+
+grok.context(IKofaObject)
+
+class CheckAdmissionTab(PrimaryNavTab):
+    """Check Admission tab in primary navigation.
+
+    Display tab only for anonymous. 
+    """
+    grok.order(4)
+    grok.require('waeup.Anonymous')
+    tab_title = _(u'Check Admission')
+    pnav = 2
+
+    # Also zope.manager has role Anonymous.
+    # To avoid displaying this tab, we have to check the principal id too.
+    @property
+    def link_target(self):
+        if self.request.principal.id == 'zope.anybody':
+            return self.view.application_url('applicants') + '/checkstatus'
+        return
Index: main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 13356)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 13357)
Index: main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 13356)
+++ main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 13357)
@@ -9,4 +9,6 @@
 "Content-Type: text/plain; charset=iso-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Language: en\n"
+"X-Generator: Poedit 1.6.5\n"
 
 #: waeup/kofa/students/browser.py:1013
@@ -44,5 +46,32 @@
 
 #: waeup/kofa/applicants/browser_templates/applicanteditpage.pt:66
-msgid "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
-msgstr "I hereby confirm that the Passport Photograph uploaded on this form is a true picture of me. I also acknowledge by ticking this check box that, if discovered at any time that I do not possess any of the qualifications which I claim I have obtained, I will be expelled from the University and shall not be re-admitted for the same or any other programme, even if I have upgraded my previous qualifications or possess additional qualifications."
+msgid ""
+"I confirm that the Passport Photograph uploaded on this form is a true "
+"picture of me."
+msgstr ""
+"I hereby confirm that the Passport Photograph uploaded on this form is a "
+"true picture of me. I also acknowledge by ticking this check box that, if "
+"discovered at any time that I do not possess any of the qualifications which "
+"I claim I have obtained, I will be expelled from the University and shall "
+"not be re-admitted for the same or any other programme, even if I have "
+"upgraded my previous qualifications or possess additional qualifications."
 
+#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:42
+msgid ""
+"<strong>Congratulations!</strong> You have been offered provisional "
+"admission into the ${DYNAMIC_CONTENT} Academic Session of ${DYNAMIC_CONTENT}."
+msgstr ""
+
+#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:69
+msgid "Sorry, you have not been offered admission."
+msgstr ""
+
+#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:75
+msgid "Your submitted application is being processed."
+msgstr "Admission status pending, please check back later."
+
+#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:81
+msgid "You have not yet submitted your application."
+msgstr ""
+"Your application process in not complete, please login to complete and "
+"submit your application."