Index: /main/waeup.kofa/trunk/CHANGES.txt
===================================================================
--- /main/waeup.kofa/trunk/CHANGES.txt	(revision 13362)
+++ /main/waeup.kofa/trunk/CHANGES.txt	(revision 13363)
@@ -4,4 +4,7 @@
 1.3.4.dev0 (unreleased)
 =======================
+
+* Allow also reg_number on public page to check application status
+  without password.
 
 * Remove `beds_reserved` attribute from hostels. Hostels do no longer
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13362)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13363)
@@ -1323,7 +1323,7 @@
                 # No need to flash something.
                 return
-            applicant_id = form.get('applicant_id', None)
+            unique_id = form.get('unique_id', None)
             lastname = form.get('lastname', None)
-            if not applicant_id or not lastname:
+            if not unique_id or not lastname:
                 self.flash(
                     _('Required input missing.'), type='warning')
@@ -1331,5 +1331,8 @@
             cat = getUtility(ICatalog, name='applicants_catalog')
             results = list(
-                cat.searchResults(applicant_id=(applicant_id, applicant_id)))
+                cat.searchResults(applicant_id=(unique_id, unique_id)))
+            if not results:
+                results = list(
+                    cat.searchResults(reg_number=(unique_id, unique_id)))
             if results:
                 applicant = results[0]
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt	(revision 13362)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt	(revision 13363)
@@ -4,8 +4,8 @@
     <tr>
       <td i18n:translate="" class="fieldname">
-        Applicant Id:
+        Registration Number or Applicant Id:
       </td>
       <td>
-        <input class="textType half" type="text" name="applicant_id" />
+        <input class="textType half" type="text" name="unique_id" />
       </td>
     </tr>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13362)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13363)
@@ -1388,13 +1388,13 @@
         self.applicant.lastname = u'Lion '
         self.browser.open('http://localhost/app/applicants/checkstatus')
-        self.browser.getControl(name="applicant_id").value = 'nonsense'
+        self.browser.getControl(name="unique_id").value = 'nonsense'
         self.browser.getControl(name="lastname").value = 'Lion'
         self.browser.getControl("Submit").click()
         self.assertTrue('No application record found' in self.browser.contents)
-        self.browser.getControl(name="applicant_id").value = self.applicant.applicant_id
+        self.browser.getControl(name="unique_id").value = self.applicant.applicant_id
         self.browser.getControl(name="lastname").value = 'nonsense'
         self.browser.getControl("Submit").click()
         self.assertTrue('No application record found' in self.browser.contents)
-        self.browser.getControl(name="applicant_id").value = self.applicant.applicant_id
+        self.browser.getControl(name="unique_id").value = self.applicant.applicant_id
         self.browser.getControl(name="lastname").value = 'Lion'
         self.browser.getControl("Submit").click()
@@ -1403,5 +1403,5 @@
         IWorkflowState(self.applicant).setState('admitted')
         self.browser.open('http://localhost/app/applicants/checkstatus')
-        self.browser.getControl(name="applicant_id").value = self.applicant.applicant_id
+        self.browser.getControl(name="unique_id").value = self.applicant.applicant_id
         # whitespaces are ignored
         self.browser.getControl(name="lastname").value = 'Lion'
@@ -1411,5 +1411,14 @@
         self.applicant.course_admitted = self.certificate
         self.browser.open('http://localhost/app/applicants/checkstatus')
-        self.browser.getControl(name="applicant_id").value = self.applicant.applicant_id
+        self.browser.getControl(name="unique_id").value = self.applicant.applicant_id
+        self.browser.getControl(name="lastname").value = 'Lion'
+        self.browser.getControl("Submit").click()
+        self.assertTrue('Congratulations!' in self.browser.contents)
+        self.assertTrue('Unnamed Certificate (CERT1)' in self.browser.contents)
+        self.assertTrue('Department of Unnamed Department (dep1)' in self.browser.contents)
+        self.assertTrue('Faculty of Unnamed Faculty (NA)' in self.browser.contents)
+        # also the reg_number can be used
+        self.browser.open('http://localhost/app/applicants/checkstatus')
+        self.browser.getControl(name="unique_id").value = self.applicant.reg_number
         self.browser.getControl(name="lastname").value = 'Lion'
         self.browser.getControl("Submit").click()