Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13364)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13365)
@@ -1368,4 +1368,6 @@
             if applicant.state in (CREATED):
                 self.created = True
+                self.student_id = applicant.student_id
+                self.password = applicant.application_number
             if applicant.state in (NOT_ADMITTED,):
                 self.not_admitted = True
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt	(revision 13364)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt	(revision 13365)
@@ -69,6 +69,9 @@
     <br />
     <p i18n:translate="">
-      Your student record has already been created for you. Please
-      login and check your new student credentials.
+      Your student record has already been created for you. Your new
+      user name (= student id) is: <strong><span tal:replace="view/student_id">STUDENT_ID</span></strong>.
+      Your initial password is: <strong><span tal:replace="view/password">PASSWORD</span></strong>.
+      Please proceed to the <a tal:attributes="href python: view.url(layout.site, 'login')">login form</a>,
+      enter your new login credentials and change your password immediately after login.
     </p>
   </tal:created>
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13364)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13365)
@@ -1392,17 +1392,21 @@
         self.browser.getControl("Submit").click()
         self.assertTrue('No application record found' in self.browser.contents)
-        self.browser.getControl(name="unique_id").value = self.applicant.applicant_id
+        self.browser.getControl(
+          name="unique_id").value = self.applicant.applicant_id
         self.browser.getControl(name="lastname").value = 'nonsense'
         self.browser.getControl("Submit").click()
         self.assertTrue('No application record found' in self.browser.contents)
-        self.browser.getControl(name="unique_id").value = self.applicant.applicant_id
+        self.browser.getControl(
+          name="unique_id").value = self.applicant.applicant_id
         self.browser.getControl(name="lastname").value = 'Lion'
         self.browser.getControl("Submit").click()
         self.assertTrue('Application status of' in self.browser.contents)
-        self.assertTrue('You have not yet submitted your application' in self.browser.contents)
+        self.assertTrue(
+          'You have not yet submitted your application' in self.browser.contents)
         IWorkflowState(self.applicant).setState('admitted')
         self.browser.open('http://localhost/app/applicants/checkstatus')
-        self.browser.getControl(name="unique_id").value = self.applicant.applicant_id
-        # whitespaces are ignored
+        self.browser.getControl(
+          name="unique_id").value = self.applicant.applicant_id
+        # Whitespaces are ignored.
         self.browser.getControl(name="lastname").value = 'Lion'
         self.browser.getControl("Submit").click()
@@ -1411,20 +1415,35 @@
         self.applicant.course_admitted = self.certificate
         self.browser.open('http://localhost/app/applicants/checkstatus')
-        self.browser.getControl(name="unique_id").value = self.applicant.applicant_id
+        self.browser.getControl(
+          name="unique_id").value = self.applicant.applicant_id
         self.browser.getControl(name="lastname").value = 'Lion'
         self.browser.getControl("Submit").click()
         self.assertTrue('Congratulations!' in self.browser.contents)
         self.assertTrue('Unnamed Certificate (CERT1)' in self.browser.contents)
-        self.assertTrue('Department of Unnamed Department (dep1)' in self.browser.contents)
-        self.assertTrue('Faculty of Unnamed Faculty (NA)' in self.browser.contents)
-        # also the reg_number can be used
+        self.assertTrue(
+          'Department of Unnamed Department (dep1)' in self.browser.contents)
+        self.assertTrue(
+          'Faculty of Unnamed Faculty (NA)' in self.browser.contents)
+        # Also the reg_number can be used and page shows student id and password
+        # if applicant is in state created.
+        IWorkflowState(self.applicant).setState('created')
+        self.applicant.student_id = u'my id'
         self.browser.open('http://localhost/app/applicants/checkstatus')
-        self.browser.getControl(name="unique_id").value = self.applicant.reg_number
+        self.browser.getControl(
+          name="unique_id").value = self.applicant.reg_number
         self.browser.getControl(name="lastname").value = 'Lion'
         self.browser.getControl("Submit").click()
         self.assertTrue('Congratulations!' in self.browser.contents)
         self.assertTrue('Unnamed Certificate (CERT1)' in self.browser.contents)
-        self.assertTrue('Department of Unnamed Department (dep1)' in self.browser.contents)
-        self.assertTrue('Faculty of Unnamed Faculty (NA)' in self.browser.contents)
+        self.assertTrue('Department of Unnamed Department (dep1)'
+            in self.browser.contents)
+        self.assertTrue(
+          'Faculty of Unnamed Faculty (NA)' in self.browser.contents)
+        self.assertTrue('user name (= student id) is: <strong>my id</strong>'
+            in self.browser.contents)
+        self.assertTrue(
+          'password is: <strong>%s</strong>' % self.applicant.application_number
+          in self.browser.contents)
+        
 
 class ApplicantsExportTests(ApplicantsFullSetup, FunctionalAsyncTestCase):