Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt	(revision 13365)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt	(revision 13366)
@@ -39,6 +39,6 @@
     <p i18n:translate="">
       <strong>Congratulations!</strong> You have been offered provisional
-      admission into the <span tal:replace="view/entry_session"></span>
-      Academic Session of <span tal:replace="layout/getAppTitle"></span>.
+      admission into the <span  i18n:name="entry_session" tal:replace="view/entry_session"></span>
+      Academic Session of <span  i18n:name="app_title" tal:replace="layout/getAppTitle"></span>.
     </p>
     <span tal:condition="view/course_admitted">
@@ -70,7 +70,10 @@
     <p i18n:translate="">
       Your student record has already been created for you. Your new
-      user name (= student id) is: <strong><span tal:replace="view/student_id">STUDENT_ID</span></strong>.
-      Your initial password is: <strong><span tal:replace="view/password">PASSWORD</span></strong>.
-      Please proceed to the <a tal:attributes="href python: view.url(layout.site, 'login')">login form</a>,
+      user name (= student id) is: <strong><span  i18n:name="student_id"
+      tal:replace="view/student_id">STUDENT_ID</span></strong>.
+      Your initial password is: <strong><span  i18n:name="password"
+      tal:replace="view/password">PASSWORD</span></strong>.
+      Please proceed to the <a  i18n:name="login_url"
+      tal:attributes="href python: view.url(layout.site, 'login')">login form</a>,
       enter your new login credentials and change your password immediately after login.
     </p>
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/prefillcontainer.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/prefillcontainer.pt	(revision 13365)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/prefillcontainer.pt	(revision 13366)
@@ -15,5 +15,5 @@
     <br />
     <label i18n:translate="">
-     Pre-fill '<span tal:replace="context/code">CODE</span>' container with
+     Pre-fill '<span  i18n:name="code" tal:replace="context/code">CODE</span>' container with
     </label>
     <select id="number" name="number" class="form-control half">
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/processorsoverview.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/processorsoverview.pt	(revision 13365)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/processorsoverview.pt	(revision 13366)
@@ -14,6 +14,5 @@
              tal:attributes="href python: '#collapse' + importer['name'];
                              aria-controls python: 'collapse' + importer['name']"
-             aria-expanded="false"
-             i18n:translate="">
+             aria-expanded="false">
             <span tal:replace="importer/title">TITLE</span>
           </a>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/source.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/source.pt	(revision 13365)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/source.pt	(revision 13366)
@@ -7,6 +7,5 @@
                          href viewlet/hash_collapse;
                          aria-controls viewlet/collapse"
-         aria-expanded="false"
-         i18n:translate="">
+         aria-expanded="false">
         <span tal:replace="viewlet/title">TITLE</span>
       </a>
Index: main/waeup.kofa/trunk/src/waeup/kofa/locales/waeup.kofa.pot
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/locales/waeup.kofa.pot	(revision 13365)
+++ main/waeup.kofa/trunk/src/waeup/kofa/locales/waeup.kofa.pot	(revision 13366)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Fri Oct 30 09:09:11 2015\n"
+"POT-Creation-Date: Sat Oct 31 07:35:57 2015\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -629,5 +629,5 @@
 msgstr ""
 
-#: waeup/kofa/applicants/browser.py:1387
+#: waeup/kofa/applicants/browser.py:1389
 msgid "Data Exports"
 msgstr ""
@@ -638,5 +638,5 @@
 msgstr ""
 
-#: waeup/kofa/applicants/browser.py:1400
+#: waeup/kofa/applicants/browser.py:1402
 #: waeup/kofa/browser/pages.py:1789
 #: waeup/kofa/students/browser.py:3128
@@ -644,10 +644,10 @@
 msgstr ""
 
-#: waeup/kofa/applicants/browser.py:1415
+#: waeup/kofa/applicants/browser.py:1417
 #: waeup/kofa/browser/pages.py:272
 msgid "Currently, exporters cannot be started due to high system load. Please try again later."
 msgstr ""
 
-#: waeup/kofa/applicants/browser.py:1430
+#: waeup/kofa/applicants/browser.py:1432
 msgid "Export started."
 msgstr ""
@@ -921,5 +921,5 @@
 
 #: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:42
-msgid "<strong>Congratulations!</strong> You have been offered provisional admission into the ${DYNAMIC_CONTENT} Academic Session of ${DYNAMIC_CONTENT}."
+msgid "<strong>Congratulations!</strong> You have been offered provisional admission into the ${entry_session} Academic Session of ${app_title}."
 msgstr ""
 
@@ -928,17 +928,17 @@
 msgstr ""
 
-#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:70
-msgid "Your student record has already been created for you. Please login and check your new student credentials."
-msgstr ""
-
-#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:77
+#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:76
+msgid "Your student record has already been created for you. Your new user name (= student id) is: <strong>${student_id}</strong>. Your initial password is: <strong>${password}</strong>. Please proceed to the ${login_url}, enter your new login credentials and change your password immediately after login."
+msgstr ""
+
+#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:83
 msgid "Sorry, you have not been offered admission."
 msgstr ""
 
-#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:83
+#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:89
 msgid "Your submitted application is being processed."
 msgstr ""
 
-#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:89
+#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:95
 msgid "You have not yet submitted your application."
 msgstr ""
@@ -1052,5 +1052,5 @@
 
 #: waeup/kofa/applicants/browser_templates/prefillcontainer.pt:17
-msgid "Pre-fill '${DYNAMIC_CONTENT}' container with"
+msgid "Pre-fill '${code}' container with"
 msgstr ""
 
@@ -1121,5 +1121,5 @@
 #: waeup/kofa/students/interfaces.py:615
 #: waeup/kofa/university/interfaces.py:165
-#: waeup/kofa/browser/templates/source.pt:24
+#: waeup/kofa/browser/templates/source.pt:23
 msgid "Title"
 msgstr ""
@@ -2548,25 +2548,25 @@
 msgstr ""
 
+#: waeup/kofa/browser/templates/processorsoverview.pt:29
+msgid "Processor"
+msgstr ""
+
 #: waeup/kofa/browser/templates/processorsoverview.pt:30
-msgid "Processor"
+msgid "Required Schema Fields"
 msgstr ""
 
 #: waeup/kofa/browser/templates/processorsoverview.pt:31
-msgid "Required Schema Fields"
+msgid "Optional Schema Fields"
 msgstr ""
 
 #: waeup/kofa/browser/templates/processorsoverview.pt:32
-msgid "Optional Schema Fields"
-msgstr ""
-
-#: waeup/kofa/browser/templates/processorsoverview.pt:33
 msgid "Non-Schema Fields"
 msgstr ""
 
-#: waeup/kofa/browser/templates/processorsoverview.pt:40
+#: waeup/kofa/browser/templates/processorsoverview.pt:39
 msgid "Download CSV File Template"
 msgstr ""
 
-#: waeup/kofa/browser/templates/processorsoverview.pt:85
+#: waeup/kofa/browser/templates/processorsoverview.pt:84
 msgid "Close"
 msgstr ""
@@ -2588,9 +2588,5 @@
 msgstr ""
 
-#: waeup/kofa/browser/templates/source.pt:11
-msgid "${DYNAMIC_CONTENT}"
-msgstr ""
-
-#: waeup/kofa/browser/templates/source.pt:23
+#: waeup/kofa/browser/templates/source.pt:22
 msgid "Value"
 msgstr ""
@@ -5416,11 +5412,4 @@
 #: waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt:2
 msgid "Please pick the department, session and level for which the report should be generated. The report will be processed and then made available for you to view/download."
-msgstr ""
-
-#: waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt:27
-#: waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt:39
-#: waeup/kofa/students/reports/browser_templates/studentstatisticsreportgeneratorpage.pt:37
-#: waeup/kofa/students/reports/browser_templates/studentstatisticsreportgeneratorpage.pt:48
-msgid "<option value=\"${DYNAMIC_CONTENT}\"> ${DYNAMIC_CONTENT} </option>"
 msgstr ""
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt	(revision 13365)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt	(revision 13366)
@@ -20,5 +20,5 @@
   <label for="session">Academic Session</label>
   <div class="input">
-    <select name="session" i18n:translate="" class="form-control half">
+    <select name="session" class="form-control half">
       <span tal:repeat="items view/sessions" tal:omit-tag="">
         <option
@@ -32,5 +32,5 @@
   <br />
   <label for="session">Level</label>
-  <select name="level" i18n:translate="" class="form-control half">
+  <select name="level" class="form-control half">
     <span tal:repeat="items view/levels" tal:omit-tag="">
       <option
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/browser_templates/studentstatisticsreportgeneratorpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/browser_templates/studentstatisticsreportgeneratorpage.pt	(revision 13365)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/browser_templates/studentstatisticsreportgeneratorpage.pt	(revision 13366)
@@ -30,5 +30,5 @@
   <br />
   <label for="session">Academic Session</label>
-  <select name="session" i18n:translate="" class="form-control half">
+  <select name="session" class="form-control half">
     <span tal:repeat="items view/sessions" tal:omit-tag="">
       <option
@@ -41,5 +41,5 @@
   <br />
   <label for="level">Current Level</label>
-  <select name="level" i18n:translate="" class="form-control half">
+  <select name="level" class="form-control half">
     <span tal:repeat="items view/levels" tal:omit-tag="">
       <option