Index: /main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 13366)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 13367)
@@ -57,10 +57,4 @@
 "upgraded my previous qualifications or possess additional qualifications."
 
-#: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:42
-msgid ""
-"<strong>Congratulations!</strong> You have been offered provisional "
-"admission into the ${DYNAMIC_CONTENT} Academic Session of ${DYNAMIC_CONTENT}."
-msgstr ""
-
 #: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:69
 msgid "Sorry, you have not been offered admission."
Index: /main/waeup.aaue/trunk/src/waeup/aaue/locales/waeup.aaue.pot
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/locales/waeup.aaue.pot	(revision 13366)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/locales/waeup.aaue.pot	(revision 13367)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Sat Jan 26 12:08:44 2013\n"
+"POT-Creation-Date: Sat Oct 31 07:29:02 2015\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -24,165 +24,517 @@
 "Generated-By: zope/app/locales/extract.py\n"
 
-#: waeup/aaue/browser/theming.py:30
-msgid "AAUE Theme"
-msgstr ""
-
-#: waeup/aaue/etranzact/browser.py:138
+#: waeup/aaue/applicants/interfaces.py:102
+#: waeup/aaue/applicants/interfaces.py:131
+#: waeup/aaue/applicants/interfaces.py:160
+#: waeup/aaue/applicants/interfaces.py:190
+msgid "Full Name"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:107
+#: waeup/aaue/applicants/interfaces.py:136
+#: waeup/aaue/applicants/interfaces.py:165
+msgid "Exam Number"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:112
+#: waeup/aaue/applicants/interfaces.py:141
+#: waeup/aaue/applicants/interfaces.py:170
+msgid "Exam Date"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:118
+#: waeup/aaue/applicants/interfaces.py:147
+msgid "Exam Type"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:124
+#: waeup/aaue/applicants/interfaces.py:153
+#: waeup/aaue/applicants/interfaces.py:176
+msgid "Exam Results"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:183
+msgid "Qualification Obtained"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:196
+msgid "Former Matric Number"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:202
+msgid "Class of Degree"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:209
+msgid "Institution Attended"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:215
+msgid "Years Attended"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:221
+msgid "Discipline"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:226
+msgid "Notice"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:247
+msgid "Result uploaded"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:251
+msgid "Student Id"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:256
+msgid "Admitted Course of Study"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:261
+msgid "Form locked"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:268
+msgid "2nd choice course must differ from 1st choice course."
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:313
+#: waeup/aaue/students/interfaces.py:198
+msgid "Date of Birth"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:46
+msgid "Undergraduate Programme (100 level)"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:47
+msgid "Direct Entry (200 level)"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:48
+msgid "not applicable"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:60
+msgid "Programme Type"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:67
+msgid "Nationality"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:72
+msgid "State/LGA (Nigerians only)"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:76
+#: waeup/aaue/students/interfaces.py:108
+msgid "Permanent Address"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:80
+msgid "Home Town"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:84
+msgid "JAMB Registration Number"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:88
+msgid "Total JAMB Score"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:92
+msgid "1st Choice Course of Study"
+msgstr ""
+
+#: waeup/aaue/applicants/interfaces.py:97
+msgid "2nd Choice Course of Study"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:36
+msgid "Base Data"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:38
+msgid "Higher Education Record"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:39
+msgid "Course or Programme Presently Attending"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:40
+msgid "NYSC Information"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:41
+msgid "Employment History"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:43
+msgid "Application Process Information"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:44
+msgid "Post Primary School Qualification"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:45
+msgid "Presently attending a course or programme"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:46
+msgid "'O' Level Records"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:47
+msgid "1st Sitting"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:48
+msgid "2nd Sitting"
+msgstr ""
+
+#: waeup/aaue/applicants/utils.py:49
+msgid "Advanced Level Record"
+msgstr ""
+
+#: waeup/aaue/browser/viewlets.py:33
+msgid "Check Admission"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:205
 #. Default: ""
 msgid "Invalid or unsuccessful callback: ${a}"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:146
-#: waeup/aaue/etranzact/browser.py:153
+#: waeup/aaue/etranzact/browser.py:213
+#: waeup/aaue/etranzact/browser.py:220
 #. Default: ""
 msgid "Invalid callback: ${a}"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:158
+#: waeup/aaue/etranzact/browser.py:225
 msgid "eTranzact IOError"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:168
+#: waeup/aaue/etranzact/browser.py:235
 msgid "Wrong amount"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:179
+#: waeup/aaue/etranzact/browser.py:241
 msgid "Wrong payment id"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:184
+#: waeup/aaue/etranzact/browser.py:246
 msgid "Successful callback received"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:194
-#: waeup/aaue/etranzact/browser.py:202
+#: waeup/aaue/etranzact/browser.py:256
+#: waeup/aaue/etranzact/browser.py:264
 msgid "Query eTranzact History"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:213
+#: waeup/aaue/etranzact/browser.py:275
 msgid "Submit to eTranzact"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:214
+#: waeup/aaue/etranzact/browser.py:276
 msgid "Requery eTranzact History"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:232
-#: waeup/aaue/etranzact/browser.py:260
+#: waeup/aaue/etranzact/browser.py:278
+msgid "Confirmation Number (PIN)"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:293
+#: waeup/aaue/interswitch/browser.py:147
+msgid "Please pay acceptance fee first."
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:312
+#: waeup/aaue/etranzact/browser.py:340
 msgid "This ticket has already been paid."
 msgstr ""
 
-#: waeup/aaue/etranzact/browser_templates/enterpin.pt:6
-msgid "Confirmation Number (PIN):"
-msgstr ""
-
-#: waeup/aaue/interfaces.py:106
+#: waeup/aaue/interfaces.py:103
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:109
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:115
+msgid "UG Penalty Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:121
+msgid "PG Penalty Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:127
+msgid "Late Course Reg. Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:133
+msgid "Course Reg. Deadline"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:135
+msgid "Example: "
+msgstr ""
+
+#: waeup/aaue/interfaces.py:149
 msgid "Academic Session"
 msgstr ""
 
-#: waeup/aaue/interfaces.py:41
-msgid "School Fee"
-msgstr ""
-
 #: waeup/aaue/interfaces.py:47
-msgid "Application Fee (fallback)"
+msgid "Regular Initial School Fee"
 msgstr ""
 
 #: waeup/aaue/interfaces.py:53
-msgid "Clearance Fee (ignored)"
+msgid "Returning School Fee"
 msgstr ""
 
 #: waeup/aaue/interfaces.py:59
+msgid "FP Initial School Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:65
+msgid "Application Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:71
+msgid "Regular Acceptance Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:77
+msgid "FP Acceptance Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:83
 msgid "Booking Fee"
 msgstr ""
 
-#: waeup/aaue/interfaces.py:67
-msgid "Maintenance Fee (ignored)"
-msgstr ""
-
-#: waeup/aaue/interfaces.py:73
-msgid "Gown Fee"
-msgstr ""
-
-#: waeup/aaue/interfaces.py:79
-msgid "Transfer Fee"
-msgstr ""
-
-#: waeup/aaue/interfaces.py:85
-msgid "UG Penalty Fee"
-msgstr ""
-
-#: waeup/aaue/interfaces.py:91
-msgid "PG Penalty Fee"
-msgstr ""
-
-#: waeup/aaue/students/browser.py:101
+#: waeup/aaue/interfaces.py:89
+msgid "Transcript Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:97
+msgid "Maintenance Fee"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:102
+msgid "Email address is missing."
+msgstr ""
+
+#: waeup/aaue/students/browser.py:104
+msgid "Phone number is missing."
+msgstr ""
+
+#: waeup/aaue/students/browser.py:106
+msgid "Personal data form is not properly filled."
+msgstr ""
+
+#: waeup/aaue/students/browser.py:170
+msgid "Forbidden"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:182
+msgid "Course Registration Slip"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:185
+msgid "Session"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:193
 msgid "Units Registered"
 msgstr ""
 
-#: waeup/aaue/students/browser.py:105
-msgid "Head of Department"
-msgstr ""
-
-#: waeup/aaue/students/browser.py:105
-msgid "Student Signature"
-msgstr ""
-
-#: waeup/aaue/students/browser.py:116
-msgid "Course Lecturer's Signature"
-msgstr ""
-
-#: waeup/aaue/students/browser.py:90
-msgid "Course Registration Slip"
-msgstr ""
-
-#: waeup/aaue/students/browser.py:93
-msgid "Session"
-msgstr ""
-
-#: waeup/aaue/students/interfaces.py:102
+#: waeup/aaue/students/browser.py:199
+msgid "Student's Signature"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:202
+msgid "Head of Department's Signature"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:203
+msgid "Principal Assistant Registrar's Signature"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:204
+msgid "Director's Signature"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:215
+msgid "Lecturer's Signature"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:270
+msgid ""
+"e-Admission Slip \n"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:281
+msgid ""
+"Clearance Slip\n"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:298
+msgid "Matriculation number %s assigned."
+msgstr ""
+
+#: waeup/aaue/students/browser.py:321
+msgid ""
+"Matriculation Number Slip\n"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:332
+msgid "Congratulations! Your acceptance fee and school fees payments have been received and your matriculation number generated with details as follows."
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:113
+msgid "Next of Kin Name"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:119
+msgid "Next of Kin Relationship"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:125
+msgid "Next of Kin Address"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:131
+msgid "Next of Kin Phone"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:205
+msgid "State / LGA"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:238
+msgid "1st Semester Units"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:244
+msgid "2nd Semester Units"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:250
+msgid "Total Units"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:263
+msgid "Current Session Payment"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:269
 msgid "Payment Level"
 msgstr ""
 
-#: waeup/aaue/students/interfaces.py:71
-msgid "1st Semester Units"
-msgstr ""
-
-#: waeup/aaue/students/interfaces.py:77
-msgid "2nd Semester Units"
-msgstr ""
-
-#: waeup/aaue/students/interfaces.py:83
-msgid "GPA"
-msgstr ""
-
-#: waeup/aaue/students/interfaces.py:96
-msgid "Current Session Payment"
-msgstr ""
-
-#: waeup/aaue/students/utils.py:106
+#: waeup/aaue/students/interfaces.py:46
+#: waeup/aaue/students/interfaces.py:138
+msgid "Father's Name"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:52
+#: waeup/aaue/students/interfaces.py:144
+msgid "Father's Permanent Address"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:58
+#: waeup/aaue/students/interfaces.py:150
+msgid "Father's Place of Work"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:64
+#: waeup/aaue/students/interfaces.py:156
+msgid "Father's Phone"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:70
+#: waeup/aaue/students/interfaces.py:162
+msgid "Mother's Name"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:76
+#: waeup/aaue/students/interfaces.py:168
+msgid "Mother's Permanent Address"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:82
+#: waeup/aaue/students/interfaces.py:174
+msgid "Mother's Place of Work"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:88
+#: waeup/aaue/students/interfaces.py:180
+msgid "Mother's Phone"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:94
+#: waeup/aaue/students/interfaces.py:186
+msgid "Student's Personal Phone"
+msgstr ""
+
+#: waeup/aaue/students/utils.py:105
+msgid "Previous session payment not yet implemented."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:111
+#: waeup/aaue/students/utils.py:146
+#: waeup/aaue/students/utils.py:157
+msgid "Session configuration object is not available."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:136
+msgid "Study course data are incomplete."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:160
 msgid "Wrong state."
 msgstr ""
 
-#: waeup/aaue/students/utils.py:108
+#: waeup/aaue/students/utils.py:162
 msgid "Amount could not be determined."
 msgstr ""
 
-#: waeup/aaue/students/utils.py:121
+#: waeup/aaue/students/utils.py:175
 msgid "This type of payment has already been made."
 msgstr ""
 
-#: waeup/aaue/students/utils.py:61
-msgid "Previous session payment not yet implemented."
-msgstr ""
-
-#: waeup/aaue/students/utils.py:67
-#: waeup/aaue/students/utils.py:92
-#: waeup/aaue/students/utils.py:103
-msgid "Session configuration object is not available."
-msgstr ""
-
-#: waeup/aaue/students/utils.py:85
-msgid "Study course data are incomplete."
-msgstr ""
-
+#: waeup/aaue/students/utils.py:177
+msgid "Payment temporarily disabled."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:193
+#. Default: ""
+msgid "This is to inform you that you have been offered provisional admission into ${a} for the ${b} academic session as follows:"
+msgstr ""
+
+#: waeup/aaue/students/utils.py:60
+#: waeup/aaue/students/utils.py:64
+#: waeup/aaue/students/utils.py:69
+msgid "Matriculation number cannot be set."
+msgstr ""
+
+#: waeup/aaue/students/viewlets.py:51
+msgid "Get Matriculation Number"
+msgstr ""
+
+#: waeup/aaue/students/viewlets.py:70
+msgid "Download matriculation number slip"
+msgstr ""
+
+#: waeup/aaue/students/viewlets.py:86
+msgid "Download course registration slip"
+msgstr ""
+