Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 13389)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 13390)
@@ -547,7 +547,9 @@
         self.browser.open(self.student_path)
         self.browser.getLink("Get Matriculation Number").click()
-        self.assertTrue('Matriculation number ND/15/dep1/FT/001 assigned.'
+        self.assertTrue('Matriculation number ND/15/dep1/FT/010 assigned.'
             in self.browser.contents)
-        self.assertEqual(self.student.matric_number, 'ND/15/dep1/FT/001')
+        self.assertEqual(self.student.matric_number, 'ND/15/dep1/FT/010')
+        self.assertEqual(self.app['faculties']['fac1']['dep1'].next_matric_dict,
+                         {2015: 11})
         self.assertRaises(
             LinkNotFoundError,
@@ -558,5 +560,5 @@
         logcontent = open(logfile).read()
         self.assertTrue('W1000000 - waeup.kwarapoly.students.browser.StudentGetMatricNumberView - '
-                        'W1000000 - ND/15/dep1/FT/001 assigned' in logcontent)
+                        'W1000000 - ND/15/dep1/FT/010 assigned' in logcontent)
         return
 
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_utils.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_utils.py	(revision 13389)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_utils.py	(revision 13390)
@@ -59,8 +59,8 @@
         IWorkflowState(self.student).setState('school fee paid')
         msg, mnumber = utils.setMatricNumber(self.student)
-        self.assertEqual(self.student.matric_number, 'ND/15/dep1/FT/001')
+        self.assertEqual(self.student.matric_number, 'ND/15/dep1/FT/010')
         self.assertEqual(
             self.app['faculties']['fac1']['dep1'].next_matric_dict,
-            {2015: 2})
+            {2015: 11})
         # setting a new matric number in 2016, extends next_matric_dict
         self.student['studycourse'].entry_session = 2016
@@ -69,5 +69,5 @@
         self.assertEqual(
             self.app['faculties']['fac1']['dep1'].next_matric_dict,
-            {2015: 2, 2016: 2})
+            {2015: 11, 2016: 11})
         # setting a new matric number in 2014 again, increases the counter
         self.student.matric_number = None
@@ -75,5 +75,5 @@
         self.assertEqual(
             self.app['faculties']['fac1']['dep1'].next_matric_dict,
-            {2015: 2, 2016: 3})
+            {2015: 11, 2016: 12})
         # matric number must not exist
         msg, mnumber = utils.setMatricNumber(self.student)
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 13389)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 13390)
@@ -328,9 +328,11 @@
             dep.next_matric_dict = {}
         if not dep.next_matric_dict.get(entry_session, None):
-            # initialize counter element
-            dep.next_matric_dict[entry_session] = 2
+            # initialize counter element with 11
+            dep.next_matric_dict[entry_session] = 11
+            dep._p_changed = True
             return
         # increase counter value of entry_session
         dep.next_matric_dict[entry_session] += 1
+        dep._p_changed = True
         return
 
@@ -366,5 +368,5 @@
         dep = cert.__parent__.__parent__
         next_integer = getattr(
-            dep, 'next_matric_dict', {}).get(entry_session, 1)
+            dep, 'next_matric_dict', {}).get(entry_session, 10)
         entry_year = entry_session - 100*(entry_session/100)
         matric_number = "%s/%s/%s/%s/%03d" % (